/**
 * Copyright: Copyright (c) 2008 Jacob Carlborg. All rights reserved.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 23, 2008
 * License: $(LINK2 http://opensource.org/licenses/bsd-license.php, BSD Style)
 * 
 */
module dwt.internal.cocoa.NSInteger;

version cast(X86_64) {
    alias ulong NSUInteger;
    alias long NSInteger;
}

else version cast(PPC64) {
    alias ulong NSUInteger;
    alias long NSInteger;
}

else version cast(X86) {
    alias uint NSUInteger;
    alias int NSInteger;
}

else version cast(PPC) {
    alias uint NSUInteger;
    alias int NSInteger;
}

else {
    pragma(error, "Unsupported architecture");
}
